#!/bin/bash

#SBATCH --job-name=dataloader_test         # Job name
#SBATCH --partition=dev_multiple           # Queue for the resource allocation
#SBATCH --nodes=2                          # Number of nodes
#SBATCH --time=30:00                       # Wall-clock time limit  
#SBATCH --ntasks-per-node=1                # Maximum count of tasks per node
#SBATCH --cpus-per-task=40                 # CPUs per task
#SBATCH --mail-type=ALL                    # Notify user by email when certain event types occur.

export OMP_NUM_THREADS=${SLURM_CPUS_PER_TASK}
export VENVDIR=<path/to/your/venv>         # Export path to your virtual environment.
export PYDIR=<path/to/your/python/script>  # Export path to directory containing Python script.

# Set up modules.
module purge                               # Unload all currently loaded modules.
module load compiler/gnu/13.3              # Load required modules.
module load mpi/openmpi/4.1
module load devel/cuda/12.4
module load lib/hdf5/1.14.4-gnu-13.3-openmpi-4.1

source ${VENVDIR}/bin/activate # Activate your virtual environment.

mpirun python ${PYDIR}/test_dataloaders.py
